#include "basegosttable.h"

BaseGostTable::BaseGostTable(QWidget *parent)
    : QWidget{parent}
{
    setUp();
}

void BaseGostTable::setUp(){
    setWidgets();
    setUpLayout();
    setUpConnections();
}

void BaseGostTable::setWidgets(){
    m_openColumnSettingsButton = new QPushButton("Настройки колонок", this);
    m_openProjectTitelButton = new QPushButton("Настройки проекта", this);
    m_resetTableButton = new QPushButton("Сброс таблицы", this);
    m_generateTableButton = new QPushButton("Генерация таблицы", this);
    m_tableView = new QTableView(this);


}
void BaseGostTable::setUpLayout(){
    QVBoxLayout* mainLayout = new QVBoxLayout(this);
    mainLayout->addWidget(this);

    QGroupBox* groupBox = new QGroupBox("Настройки", this);
    QHBoxLayout* groupBoxLayout = new QHBoxLayout(groupBox);
    
    // Левая группа кнопок
    groupBoxLayout->addWidget(m_openColumnSettingsButton);
    groupBoxLayout->addWidget(m_openProjectTitelButton);
    
    // Растягивающийся элемент для разделения
    groupBoxLayout->addStretch();
    
    // Правая группа кнопок
    groupBoxLayout->addWidget(m_resetTableButton);
    groupBoxLayout->addWidget(m_generateTableButton);
    mainLayout->addWidget(groupBox);
    mainLayout->addWidget(m_tableView);



}

void BaseGostTable::setUpConnections(){

}


void BaseGostTable::setLabel(){

}

